Debian Bug report logs - #696494
Using multiple squashfs images does no longer work

version graph

Package: live-boot; Maintainer for live-boot is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-boot is src:live-boot.

Reported by: Gaudenz Steinlin <gaudenz@debian.org>

Date: Fri, 21 Dec 2012 16:51:01 UTC

Severity: normal

Tags: patch

Found in version live-boot/3.0~b10-1

Fixed in versions live-boot/3.0.0-1, live-boot/4.0~a5-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ronny.standtke@fhnw.ch, Debian Live Project <debian-live@lists.debian.org>:
Bug#696494; Package live-boot. (Fri, 21 Dec 2012 16:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gaudenz Steinlin <gaudenz@debian.org>:
New Bug report received and forwarded. Copy sent to ronny.standtke@fhnw.ch, Debian Live Project <debian-live@lists.debian.org>. (Fri, 21 Dec 2012 16:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gaudenz Steinlin <gaudenz@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Using multiple squashfs images does no longer work
Date: Fri, 21 Dec 2012 17:45:49 +0100
[Message part 1 (text/plain, inline)]
Package: live-boot
Version: 3.0~b10-1
Severity: important
Tags: patch

The squeeze version of live-boot supported using multiple squashfs
images. This no longer works with the current version in sid. Multiple
squashfs images are important for large live systems that should work
from filesystems with a 4GB file size limit (e.g. iso9660).

While there was never support to create multiple squashfs images in
live-build this was working in previous versions if the squashafs are
manually split. IMO it's important to fix this regression in wheezy.

The attached patch fixes this bug.

Gaudenz

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (800, 'testing'), (700, 'unstable'), (50, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-4-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_CH.UTF-8, LC_CTYPE=de_CH.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[0001-Fix-support-for-multiple-squashfs-images.patch (text/x-diff, attachment)]

Severity set to 'normal' from 'important' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sun, 23 Dec 2012 10:33:03 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Tue, 12 Feb 2013 07:36:17 GMT) Full text and rfc822 format available.

Notification sent to Gaudenz Steinlin <gaudenz@debian.org>:
Bug acknowledged by developer. (Tue, 12 Feb 2013 07:36:17 GMT) Full text and rfc822 format available.

Message #12 received at 696494-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 696494-close@bugs.debian.org
Subject: Bug#696494: fixed in live-boot 3.0.0-1
Date: Tue, 12 Feb 2013 07:32:31 +0000
Source: live-boot
Source-Version: 3.0.0-1

We believe that the bug you reported is fixed in the latest version of
live-boot, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 696494@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-boot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 12 Feb 2013 08:23:17 +0100
Source: live-boot
Binary: live-boot live-boot-doc live-boot-initramfs-tools
Architecture: source all
Version: 3.0.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-boot  - Live System Boot Scripts
 live-boot-doc - Live System Boot Scripts (documentation)
 live-boot-initramfs-tools - Live System Boot Scripts (initramfs-tools backend)
Closes: 696494 696495 697873
Changes: 
 live-boot (3.0.0-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Updating manpage year handling for 2013.
 .
   [ Richard Nelson ]
   * Replace noprompt with noeject on manpage.
 .
   [ Daniel Baumann ]
   * Updating noeject description in manpage.
 .
   [ chals ]
   * Updating Spanish translation in respect to noeject.
 .
   [ Daniel Baumann ]
   * Dropping dpkg compression level.
   * Calling df with -P to avoid line wraps with overly long mountpoints.
 .
   [ Tails developers ]
   * Improving test for /etc/fstab.d support by testing for its existence
     instead of /run's one.
 .
   [ Daniel Baumann ]
   * Removing some dead code in netbase parts.
 .
   [ Gaudenz Steinlin ]
   * Fixing support for multiple squashfs images (Closes: #696494).
   * Fixing mounting of rootfs, cow and medium filesystems (Closes:
     #696495).
 .
   [ Daniel Baumann ]
   * Correcting persistence-label handling fwrt/ legacy live-boot 2.x
     support, thanks to Mike Gach <gach.mqt@gmail.com> (Closes: #697873).
Checksums-Sha1: 
 4b84d9ee3ccd6766f6e473bd09649925680ed44e 1369 live-boot_3.0.0-1.dsc
 18204a278c603005415dbcc93701421bc3deff74 58680 live-boot_3.0.0.orig.tar.xz
 b6f4422eaad02d9c41e265c9063466f5f8fb3d23 22336 live-boot_3.0.0-1.debian.tar.xz
 e9ff4053da5b1aba67a0f1d4e2705ea38912537f 48746 live-boot_3.0.0-1_all.deb
 372943dfba16ce1c99537d4816d1ae3b6eabf915 51726 live-boot-doc_3.0.0-1_all.deb
 f43e6e59f93a7e8d8b86b438fa0cb3c865f7a952 26280 live-boot-initramfs-tools_3.0.0-1_all.deb
Checksums-Sha256: 
 3fdb8f02bb3e5cce457af2e973922a1e9be6968c05f50d2e530c8d58088fd35b 1369 live-boot_3.0.0-1.dsc
 277b999f4fcd1511532479e21e8facbce2c288e1f3ed80bcf2cb54cec66615f0 58680 live-boot_3.0.0.orig.tar.xz
 868afb2615e4cfc471ec0ba574d963705d3a81ed0bbdf5fb5791416c70953db0 22336 live-boot_3.0.0-1.debian.tar.xz
 df253693957a1769dc48e477b745170d40999f3ce24261481d384778289a8387 48746 live-boot_3.0.0-1_all.deb
 58ee0163efe688a065392b1f6214f1359a48754325efc18b6d31a3433c4e05c0 51726 live-boot-doc_3.0.0-1_all.deb
 ca23c361bb08c886565c1daa3da4aac8f1f759bb7f6b828668b84a17b95be6fb 26280 live-boot-initramfs-tools_3.0.0-1_all.deb
Files: 
 61882150301dfe1137200d96d731de00 1369 misc optional live-boot_3.0.0-1.dsc
 a6859198d0782ca9c968b2f210eb9212 58680 misc optional live-boot_3.0.0.orig.tar.xz
 8fd7a18ad8e7c8ec5d80d4c03a98bc7d 22336 misc optional live-boot_3.0.0-1.debian.tar.xz
 9c1d72dcc5279a2a368ab0d84e40373e 48746 misc optional live-boot_3.0.0-1_all.deb
 13623fe33a1b96e291c8c244fa4a05bf 51726 doc optional live-boot-doc_3.0.0-1_all.deb
 dd630cd123e12348800670f97326c46d 26280 misc optional live-boot-initramfs-tools_3.0.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlEZ7tkACgkQ+C5cwEsrK566zwCfY/CoOcNqpe7n9TF3nxXwS6bc
qaEAoI3TfVvhGfo4wP47dr7Ykd32TaHA
=x8xo
-----END PGP SIGNATURE-----




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Tue, 12 Feb 2013 07:36:20 GMT) Full text and rfc822 format available.

Notification sent to Gaudenz Steinlin <gaudenz@debian.org>:
Bug acknowledged by developer. (Tue, 12 Feb 2013 07:36:20 GMT) Full text and rfc822 format available.

Message #17 received at 696494-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 696494-close@bugs.debian.org
Subject: Bug#696494: fixed in live-boot 4.0~a5-1
Date: Tue, 12 Feb 2013 07:32:38 +0000
Source: live-boot
Source-Version: 4.0~a5-1

We believe that the bug you reported is fixed in the latest version of
live-boot, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 696494@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-boot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 12 Feb 2013 08:29:27 +0100
Source: live-boot
Binary: live-boot live-boot-doc live-boot-initramfs-tools
Architecture: source all
Version: 4.0~a5-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-boot  - Live System Boot Scripts
 live-boot-doc - Live System Boot Scripts (documentation)
 live-boot-initramfs-tools - Live System Boot Scripts (initramfs-tools backend)
Closes: 696494 696495 697873
Changes: 
 live-boot (4.0~a5-1) experimental; urgency=low
 .
   [ Daniel Baumann ]
   * Updating manpage year handling for 2013.
 .
   [ Richard Nelson ]
   * Replace noprompt with noeject on manpage.
 .
   [ Daniel Baumann ]
   * Updating noeject description in manpage.
 .
   [ chals ]
   * Updating Spanish translation in respect to noeject.
 .
   [ Daniel Baumann ]
   * Dropping dpkg compression level.
   * Calling df with -P to avoid line wraps with overly long mountpoints.
   * Removing some dead code in netbase parts.
 .
   [ Gaudenz Steinlin ]
   * Fixing support for multiple squashfs images (Closes: #696494).
   * Fixing mounting of rootfs, cow and medium filesystems (Closes:
     #696495).
 .
   [ Daniel Baumann ]
   * Adding 3.0.0-1 changelog entries.
   * Updating manpage for persistence-label, thanks to Mike Gach
     <gach.mqt@gmail.com> (Closes: #697873).
Checksums-Sha1: 
 f77a17d4d0b83037caf3f80fd04f75990a99c1c8 1376 live-boot_4.0~a5-1.dsc
 4a0d1d43157b8ac3a42a12a53f3688d023094f4e 58292 live-boot_4.0~a5.orig.tar.xz
 4bb6136e9e2f071cb9eb7c8fdc23bdeed158bb4f 22456 live-boot_4.0~a5-1.debian.tar.xz
 9fefd13a0790bae5cff8336e94c93be0cd437a26 48654 live-boot_4.0~a5-1_all.deb
 d426514cfde12a008e860b86ec1cc1c0fc40290d 51554 live-boot-doc_4.0~a5-1_all.deb
 a99819c5b276b6d8639080b9fa704716f7d4ab0a 26424 live-boot-initramfs-tools_4.0~a5-1_all.deb
Checksums-Sha256: 
 2fc30550b53eb86039b747dbe258fbbcab9d1a8e49ea921a96bf1cf9ad9dfd24 1376 live-boot_4.0~a5-1.dsc
 99272c8e0af14d9434ce03e82d0e5c9e05629706e9561d0a8b16e7970afda812 58292 live-boot_4.0~a5.orig.tar.xz
 e33c69bb41e7a941b7324f1c9021bd437da823a44703ad79957e972f1505a25b 22456 live-boot_4.0~a5-1.debian.tar.xz
 9bc2d87347251859dce4e0b8039e37660a311f6cd3065641f24a3aba5c74512f 48654 live-boot_4.0~a5-1_all.deb
 fa9647831c1e9d91cb91b829db19a3eb04cd0bd299285867d2a1aed29e38e3e7 51554 live-boot-doc_4.0~a5-1_all.deb
 3be8a623a6f2c2ea81df8745047d013d23ee0aecd30e46c7a42dd2b4cd8ebc4f 26424 live-boot-initramfs-tools_4.0~a5-1_all.deb
Files: 
 a6ec0392466cf4fc6da11d84dc92a117 1376 misc optional live-boot_4.0~a5-1.dsc
 83eabe33a81ea5754b210e9449fe5f06 58292 misc optional live-boot_4.0~a5.orig.tar.xz
 da72f1bb94bed706253861d1b4b2ba81 22456 misc optional live-boot_4.0~a5-1.debian.tar.xz
 4c166596545aa322c800ec769082dfc4 48654 misc optional live-boot_4.0~a5-1_all.deb
 4397e46bff3f053edca5e77c9e33bf2f 51554 doc optional live-boot-doc_4.0~a5-1_all.deb
 f3a2e5a7a8b311a9ba7a7b0eefc68005 26424 misc optional live-boot-initramfs-tools_4.0~a5-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlEZ75gACgkQ+C5cwEsrK54oagCePssHbldi3A/hRsaNQxC/te22
H5AAoOAKIbBrijGGmctlhSBxR6v1B3IP
=tjRy
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 13 Mar 2013 07:27:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 13:05:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.